Bug 846206 - Review Request: gnome-transliteration - Transliteration tool for GNU\Linux platform
Review Request: gnome-transliteration - Transliteration tool for GNU\Linux pl...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 02:51 EDT by anish
Modified: 2015-04-12 19:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: gnome-transliteration-0.0.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-16 01:59:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dueno: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description anish 2012-08-07 02:51:06 EDT
Spec URL: http://anishpatil.fedorapeople.org/gnome-transliteration.spec
SRPM URL: http://anishpatil.fedorapeople.org/gnome-transliteration-0.0.1-1.fc17.src.rpm
Description: 
 Transliteration tool for GNU\Linux platform
Fedora Account System Username:anishpatil
Comment 1 anish 2012-08-14 11:27:58 EDT
upstream has released new version 

New Spec URL and SRPM URL:-

Spec URL: http://anishpatil.fedorapeople.org/gnome-transliteration.spec

SRPM URL: http://anishpatil.fedorapeople.org/gnome-transliteration-0.0.2-1.fc17.src.rpm

Description: 
 Offline Transliteration tool

Fedora Account System Username:anishpatil
Comment 2 Daiki Ueno 2012-09-06 03:39:58 EDT
Here is the review.  Please address a few issues marked as "!".

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[!]: MUST Package contains desktop file if it is a GUI application.

You may want to follow:
https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

[-]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)" For detailed output of licensecheck see file:
     /home/ueno/846206-gnome-transliteration/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[-]: MUST Package is not relocatable.
[!]: MUST Requires correct, justified where necessary.

Isn't pygobject3 necessary to run?  Also, I guess only
libtranslit-m17n and libtranslit-icu are necessary in Requires since
they will pull libtranslit.

BTW, I guess BR: gobject-introspection-devel is unnecessary.

[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: gnome-transliteration-0.0.2-1.fc19.src.rpm
          gnome-transliteration-0.0.2-1.fc19.noarch.rpm
gnome-transliteration.noarch: E: explicit-lib-dependency libtranslit
gnome-transliteration.noarch: E: explicit-lib-dependency libtranslit-icu
gnome-transliteration.noarch: E: explicit-lib-dependency libtranslit-m17n
gnome-transliteration.noarch: W: no-manual-page-for-binary gnome-transliteration
2 packages and 0 specfiles checked; 3 errors, 1 warnings.

Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
gnome-transliteration-0.0.2-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    libtranslit  
    libtranslit-icu  
    libtranslit-m17n  

Provides
--------
gnome-transliteration-0.0.2-1.fc19.noarch.rpm:
    
    gnome-transliteration = 0.0.2-1.fc19

MD5-sum check
-------------


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 846206 -m fedora-rawhide-x86_64
External plugins:
Comment 3 Fedora Update System 2012-09-07 03:12:42 EDT
nhn-nanum-gothic-light-fonts-1.000-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nhn-nanum-gothic-light-fonts-1.000-2.fc17
Comment 4 Fedora Update System 2012-09-07 03:12:54 EDT
nhn-nanum-gothic-light-fonts-1.000-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nhn-nanum-gothic-light-fonts-1.000-2.fc18
Comment 5 Fedora Update System 2012-09-07 03:13:04 EDT
nhn-nanum-gothic-light-fonts-1.000-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nhn-nanum-gothic-light-fonts-1.000-2.fc16
Comment 6 Daiki Ueno 2012-09-07 03:17:51 EDT
Sorry, mistook bug ID on Bodhi.  Please ignore comment 3 to comment 5.
Comment 7 anish 2013-12-05 01:01:43 EST
Sorry for a long delay

Updated Package review is as follows:- 


Spec URL: http://anishpatil.fedorapeople.org/gnome-transliteration.spec
SRPM URL: http://anishpatil.fedorapeople.org/gnome-transliteration-0.0.3-1.fc19.src.rpm
Comment 8 Daiki Ueno 2013-12-05 04:25:26 EST
Well, the assignee of a review bug should be the reviewer, not packager.

Also the issues mentioned above are still not addressed:

1. use desktop-file-install
https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

2. pull pygobject3
Comment 9 anish 2013-12-11 04:40:08 EST
Thanks Daiki san ,Fixed issues mentioned .

Spec URL:- http://anishpatil.fedorapeople.org/gnome-transliteration.spec


SRPM URL: http://anishpatil.fedorapeople.org/gnome-transliteration-0.0.3-2.fc19.src.rpm
Comment 10 Daiki Ueno 2013-12-16 03:03:42 EST
Looks good, except a wrong changelog date:

$ rpmlint -i gnome-transliteration-0.0.3-2.fc19.src.rpm
gnome-transliteration.src: E: specfile-error warning: bogus date in %changelog: Wed Aug 07 2012 Anish Patil <apatil@redhat.com> - 0.0.1-1

apparently Aug 07 is Tuesday.  Good to fix this when importing.

APPROVED.
Comment 11 anish 2013-12-18 06:29:13 EST
New Package SCM Request
=======================
Package Name: gnome-transliteration
Short Description: Transliteration tool for GNU\Linux platform
Owners: anishpatil
Branches: f20
InitialCC: i18n-team
Comment 12 Gwyn Ciesla 2013-12-18 07:45:36 EST
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-12-20 06:59:00 EST
gnome-transliteration-0.0.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnome-transliteration-0.0.3-2.fc20
Comment 14 Fedora Update System 2013-12-20 21:25:51 EST
Package gnome-transliteration-0.0.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-transliteration-0.0.3-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23737/gnome-transliteration-0.0.3-2.fc20
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2014-01-16 01:59:25 EST
gnome-transliteration-0.0.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.